# numberFormat

    text numberFormat(number, pattern, language)

Returns the number formatted according to pattern in language.

Pattern symbols with special meaning:

Symbol | Component
--- | ---
0 | Digit
# | Digit, not shown when zero
. | Decimal separator
- | Minus sign
, | Grouping separator
E | Separates mantissa and exponent in scientific notation
; | Separates positive and negative subpatterns
% | Multiply by 100 and show as percentage
‰ | Multiply by 1000 and show as per mille value
' | Avoid interpretation
'' | Single quote

## Parameters

1. number — number to be formatted.
2. pattern — optional non-localized pattern text, default is standard pattern for language.
3. language — optional language code, default is the device language.

## Returns

- the formatted number.